test:
	make install
	ansible-playbook --syntax-check ansible/playbook.yml

install:
	ansible-galaxy role install -r ansible/requirements.yml
	ansible-galaxy collection install -r ansible/requirements.yml

# BEGIN
create-vault:
	touch vault-password
	ansible-vault create ./ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

create-droplets:
	ansible-playbook -v ansible/playbook.yml --vault-password-file ansible/vault-password

encrypt-vault:
	ansible-vault encrypt ./ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

decrypt-vault:
	ansible-vault decrypt ./ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

view-vault:
	ansible-vault view ./ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password
ping:
	ansible digital-ocean -m ping -i ansible/inventory.ini
# END
